package com.zhongdao.jlr.util;

public class MTextUtils {
	
	public static String objectToString(Object o){
		try {
			if(o!=null){
				return o.toString();
			}else{
				return "";
			}
		} catch (Exception e) {
			return "";
		}
	}

	public static double stringToDouble(Object s){
		try {
			if(s!=null){
				return Double.valueOf(s.toString());
			}else{
				return 0;
			}
		} catch (Exception e) {
			return 0;
		}
	}

	/***
	 * 根据状态码返回对应的案件状态
	 * @param state
	 * @return
	 */
	public static String getRecueName(String state){
		if("51".equals(state)){
			return "取消服务";
		}
		if("53".equals(state)){
			return "救援失败";
		}
		if("55".equals(state)){
			return "救援成功";
		}
		return "";
	}

	/***
	 * 根据状态码返回对应的结算状态
	 * @param state
	 * @return
	 */
	public static String getAccountState(String state){
		if("2".equals(state)){
			return "对账中";
		}
		if("3".equals(state)){
			return "对账中";
		}
		if("4".equals(state)){
			return "对账完成";
		}
		if("6".equals(state)){
			return "开票完成";
		}
		return "";
	}

	/***
	 * 根据状态码返回对应的维修结果
	 * @param state
	 * @return
	 */
	public static  String getRepairResult(String state){
		if("0".equals(state)){
			return "";
		}
		if("11".equals(state)){
			return "车辆无法使用";
		}
		if("6".equals(state)){
			return "重新标定";
		}
		if("1".equals(state)){
			return "调整";
		}
		if("4".equals(state)){
			return "提供的建议";
		}
		if("5".equals(state)){
			return "未发现故障";
		}
		if("2".equals(state)){
			return "已充电蓄电池";
		}
		if("10".equals(state)){
			return "已重新编程（软件上传";
		}
		if("9".equals(state)){
			return "已更换零部件 — 问题未解决";
		}
		if("8".equals(state)){
			return "已更换部件";
		}
		if("3".equals(state)){
			return "已添加油液到正确液位";
		}
		if("7".equals(state)){
			return "已维修";
		}
		return "";
	}

	/***
	 * 根据状态码返回对应的故障原因
	 * @param state
	 * @return
	 */
	public static String getReason(String state){
		if("0".equals(state)){
			return "";
		}
		if("57".equals(state)){
			return "安装不当";
		}
		if("53".equals(state)){
			return "安装了错误部件";
		}
		if("110".equals(state)){
			return "凹陷";
		}
		if("67".equals(state)){
			return "疤痕";
		}
		if("118".equals(state)){
			return "摆动";
		}
		if("45".equals(state)){
			return "保险丝熔断";
		}
		if("109".equals(state)){
			return "被剥离";
		}
		if("107".equals(state)){
			return "被盗";
		}
		if("5".equals(state)){
			return "被堵塞";
		}
		if("19".equals(state)){
			return "被腐蚀";
		}
		if("16".equals(state)){
			return "被碎屑污染";
		}
		if("117".equals(state)){
			return "被损坏";
		}
		if("98".equals(state)){
			return "被剪切";
		}
		if("30".equals(state)){
			return "变形";
		}
		if("42".equals(state)){
			return "波动";
		}
		if("78".equals(state)){
			return "不工作";
		}
		if("62".equals(state)){
			return "部件松动";
		}
		if("79".equals(state)){
			return "不受广播／发射支持";
		}
		if("86".equals(state)){
			return "不同步";
		}
		if("51".equals(state)){
			return "不准确";
		}
		if("10".equals(state)){
			return "擦伤";
		}
		if("59".equals(state)){
			return "颤动 / 震动";
		}
		if("50".equals(state)){
			return "电阻过高";
		}
		if("43".equals(state)){
			return "冻结（低温）";
		}
		if("24".equals(state)){
			return "断口";
		}
		if("7".equals(state)){
			return "断裂";
		}
		if("99".equals(state)){
			return "短路";
		}
		if("101".equals(state)){
			return "对地短路";
		}
		if("100".equals(state)){
			return "对蓄电池短路";
		}
		if("25".equals(state)){
			return "放气";
		}
		if("106".equals(state)){
			return "发硬";
		}
		if("26".equals(state)){
			return "分层";
		}
		if("33".equals(state)){
			return "工厂损坏";
		}
		if("95".equals(state)){
			return "刮擦";
		}
		if("37".equals(state)){
			return "固定件／紧固件 — 断裂";
		}
		if("40".equals(state)){
			return "固定件／紧固件 — 缺失";
		}
		if("38".equals(state)){
			return "固定件／紧固件 — 安装不正确";
		}
		if("39".equals(state)){
			return "固定件／紧固件 — 松脱";
		}
		if("55".equals(state)){
			return "规格错误";
		}
		if("88".equals(state)){
			return "过热";
		}
		if("36".equals(state)){
			return "火烧损坏";
		}
		if("9".equals(state)){
			return "校准";
		}
		if("63".equals(state)){
			return "接地线松动";
		}
		if("92".equals(state)){
			return "静态损耗";
		}
		if("23".equals(state)){
			return "挤压";
		}
		if("103".equals(state)){
			return "开裂";
		}
		if("85".equals(state)){
			return "开路";
		}
		if("96".equals(state)){
			return "卡滞";
		}
		if("58".equals(state)){
			return "卡住";
		}
		if("105".equals(state)){
			return "卡滞";
		}
		if("31".equals(state)){
			return "空";
		}
		if("11".equals(state)){
			return "溃缩";
		}
		if("108".equals(state)){
			return "拉抻";
		}
		if("120".equals(state)){
			return "类型错误";
		}
		if("13".equals(state)){
			return "冷凝";
		}
		if("15".equals(state)){
			return "冷却液污染";
		}
		if("14".equals(state)){
			return "连接器断开";
		}
		if("21".equals(state)){
			return "裂缝";
		}
		if("47".equals(state)){
			return "密封圈／密封胶 — 安装不正确";
		}
		if("48".equals(state)){
			return "密封圈／密封胶 — 泄漏";
		}
		if("46".equals(state)){
			return "密封圈／密封胶 — 零件不正确";
		}
		if("49".equals(state)){
			return "密封圈／密封胶 — 缺失";
		}
		if("71".equals(state)){
			return "模糊";
		}
		if("74".equals(state)){
			return "模块间无通信";
		}
		if("72".equals(state)){
			return "模块未改编";
		}
		if("73".equals(state)){
			return "模块未配置";
		}
		if("114".equals(state)){
			return "磨破";
		}
		if("119".equals(state)){
			return "磨损";
		}
		if("115".equals(state)){
			return "扭绞";
		}
		if("90".equals(state)){
			return "喷镀故障";
		}
		if("8".equals(state)){
			return "膨胀";
		}
		if("97".equals(state)){
			return "破碎";
		}
		if("4".equals(state)){
			return "起泡";
		}
		if("2".equals(state)){
			return "气锁";
		}
		if("64".equals(state)){
			return "缺失";
		}
		if("70".equals(state)){
			return "缺失";
		}
		if("68".equals(state)){
			return "熔化";
		}
		if("32".equals(state)){
			return "乳化";
		}
		if("41".equals(state)){
			return "闪烁";
		}
		if("94".equals(state)){
			return "撕裂";
		}
		if("18".equals(state)){
			return "水浸";
		}
		if("87".equals(state)){
			return "失去平衡";
		}
		if("93".equals(state)){
			return "受限制";
		}
		if("20".equals(state)){
			return "损坏";
		}
		if("111".equals(state)){
			return "表面损坏";
		}
		if("56".equals(state)){
			return "调整不当";
		}
		if("34".equals(state)){
			return "褪色";
		}
		if("27".equals(state)){
			return "脱离";
		}
		if("102".equals(state)){
			return "涂污";
		}
		if("3".equals(state)){
			return "弯曲";
		}
		if("28".equals(state)){
			return "完全放电";
		}
		if("77".equals(state)){
			return "未安装";
		}
		if("35".equals(state)){
			return "未能初始化";
		}
		if("116".equals(state)){
			return "无法编程";
		}
		if("104".equals(state)){
			return "污渍";
		}
		if("75".equals(state)){
			return "无诊断通信";
		}
		if("89".equals(state)){
			return "像素丢失或错误";
		}
		if("60".equals(state)){
			return "泄漏";
		}
		if("113".equals(state)){
			return "锈蚀";
		}
		if("65".equals(state)){
			return "压力过低";
		}
		if("52".equals(state)){
			return "颜色错误";
		}
		if("12".equals(state)){
			return "压缩";
		}
		if("61".equals(state)){
			return "液位过低";
		}
		if("29".equals(state)){
			return "已变色";
		}
		if("44".equals(state)){
			return "已满";
		}
		if("6".equals(state)){
			return "易碎";
		}
		if("80".equals(state)){
			return "异味";
		}
		if("82".equals(state)){
			return "油封／O 形圈 — 安装不正确";
		}
		if("81".equals(state)){
			return "油封／O 形圈 — 零件不正确";
		}
		if("84".equals(state)){
			return "油封／O 形圈 — 缺失";
		}
		if("83".equals(state)){
			return "油封／O 形圈 — 泄漏";
		}
		if("91".equals(state)){
			return "有孔";
		}
		if("17".equals(state)){
			return "油液污染";
		}
		if("1".equals(state)){
			return "游移";
		}
		if("22".equals(state)){
			return "有折痕";
		}
		if("54".equals(state)){
			return "语言错误";
		}
		if("76".equals(state)){
			return "噪音";
		}
		if("69".equals(state)){
			return "制造不当";
		}
		if("112".equals(state)){
			return "肿胀";
		}
		if("66".equals(state)){
			return "阻力低";
		}
		return "";
	}
}
